# Get Available Images - DescribeUK8SImage

## Overview

Obtain the Node operating system supported by UK8S, and you can create custom images based on this operating system.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUK8SImage`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ProductType** | string | Product type, optional values are UHost, BareMetal, if not filled, all types will be returned |No|
| **MachineType** | string | Applicable models, such as O, G, OPRO, etc., default is O |No|
| **GPUType** | string | Applicable GPU types, such as 1080Ti, 4090, V100, A800, etc., must be provided when MachineType is G. |No|
| **K8sVersion** | string | kubernetes version, e.g. 1.28.15 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ImageSet** | array[[*ImageInfo*](#imageinfo)] | Available image set for the virtual machine, see ImageInfo array for details. |No|
| **PHostImageSet** | array[[*ImageInfo*](#imageinfo)] | Available image collection for BareMetal, see ImageInfo array |No|
| **CustomImageSet** | array[[*ImageInfo*](#imageinfo)] | Collection of available custom images for virtual machines, see ImageInfo array for details. |No|
| **CustomPHostImageSet** | array[[*ImageInfo*](#imageinfo)] | BareMetal self-made available image collection, see ImageInfo array for details. |No|

#### Data Model


#### ImageInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ZoneId** | int | Availability Zone Id |**Yes**|
| **ImageId** | string | Image Id |**Yes**|
| **ImageName** | string | Image Name |**Yes**|
| **NotSupportGPU** | boolean | Does this image support GPU model, enumeration value [true: not supported, false: supported]. |**Yes**|
| **OsType** | string | OS Type |**Yes**|
| **OsName** | string | OS Name |**Yes**|
| **Features** | array[string] | Features supported by the image |No|
| **ImageSize** | int | Image Size |No|
| **IntegratedSoftware** | string | Integrated Software Name |No|
| **SupportedGPUTypes** | array[string] | Supported GPU Models |No|

## Example

### Request Example
    
```
https://api.netlake.cn/?Action=DescribeUK8SImage
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=sUDxutjf
&ProductType=TzadjShf
&MachineType=HfHJuJRC
&GPUType=QDBWdeSh
&K8SVersion=VYTIrewq
```

### Response Example
    
```json
{
  "Action": "DescribeUK8SImageResponse",
  "CustomIImageSet": [
    "vcSXSoOo"
  ],
  "ImageSet": [
    {
      "ImageId": "SOqcWTEJ",
      "ImageName": "hIscEgwy",
      "NotSupportGPU": false,
      "ZoneId": 5
    }
  ],
  "ImageSetnew": [
    {
      "ImageId": "KeQfHnUL",
      "ImageName": "itWRmsMy",
      "NotSupportGPU": true,
      "ZoneId": 5
    }
  ],
  "Message": "RcXlEGbn",
  "PHostCustomIImageSet": [
    "jABaDaml"
  ],
  "PHostImageSet": [
    {
      "ImageId": "yFeQPFUL",
      "ImageName": "OlgivCjk",
      "NotSupportGPU": true,
      "ZoneId": 9
    }
  ],
  "RetCode": 0
}
```





